/**
 * Copyright Damiano Bolla, Cologna Veneta, Italy, All right reserved
 * Eclipse does not have any more copyright manager, so I need to edit by hand
 * GNU LESSER GENERAL PUBLIC LICENSE Version 3, 29 June 2007
 */

#ifndef HAL_H
#define HAL_H

#define __need_timespec
#define _GNU_SOURCE    // to use crypt_r, pthread_tryjoin_np, correctly map the ptsname
#define IPP_ROUTER

#include <stddef.h>
#include <stdio.h>
#include <time.h>
#include <string.h>
#include <pthread.h>
#include <unistd.h>
#include <stdlib.h>
#include <errno.h>
#include <sys/param.h>

#define NEEDS_CRC8

#define ROW_NAME_LEN_MAX      20     // unless otherwise needed a data row has this name allocation NOT LESS !!!

typedef unsigned char  uint8;
typedef unsigned short uint16;
typedef unsigned int   uint32;
typedef unsigned long  uint64;


typedef signed char int8;
typedef short       int16;
typedef int         int32;
typedef long        int64;

typedef short int16_1dec;

#include <std_def.h>

#define CONSOLE_PRINTF printf




#endif /* HAL_H_ */
