/**
 * Copyright Damiano Bolla, Cologna Veneta, Italy, All right reserved
 * Eclipse does not have any more copyright manager, so I need to edit by hand
 * GNU LESSER GENERAL PUBLIC LICENSE Version 3, 29 June 2007
 */
#ifndef IPPS_UTILS_H
#define IPPS_UTILS_H

#include <hal.h>



// this is a function that want a row_idx and return a pointer to the debug mask
typedef uint32 *(*IppsuInt32ProwFun)(int row_idx);

// this can be called as part of console parsing and manage most of the setting of debug mask
void console_set_row_debug ( char *row_mask, IppsuInt32ProwFun debugGet );

void unix_random_get_bytes (void * const vtoP, uint16 const to_len);

#endif
